|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QXmlLocator Class Reference

The QXmlLocator class provides the XML handler classes with information about the parsing position within a file. More...

    #include <QXmlLocator>

Part of the QtXml module.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QXmlLocator ()
- virtual ~QXmlLocator ()
- virtual int columnNumber () const = 0
- virtual int lineNumber () const = 0

## Detailed Description

The QXmlLocator class provides the XML handler classes with information about the parsing position within a file.

The reader reports a QXmlLocator to the content handler before it starts to parse the document. This is done with the QXmlContentHandler::setDocumentLocator() function. The handler classes can now use this locator to get the position (lineNumber() and columnNumber()) that the reader has reached.

## Member Function Documentation

### QXmlLocator::QXmlLocator ()

Constructor.

### QXmlLocator::~QXmlLocator () `[virtual]`

Destructor.

### int QXmlLocator::columnNumber () const `[pure virtual]`

Returns the column number (starting at 1) or -1 if there is no column number available.

### int QXmlLocator::lineNumber () const `[pure virtual]`

Returns the line number (starting at 1) or -1 if there is no line number available.